package com.zkjc.common.utils;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;

import com.hjq.toast.ToastUtils;

import com.zkjc.common.interfaces.OnSafeClientStatusListener;

import timber.log.Timber;

public class NetUtils {

    /**
     * 判断网络是否连接
     * @param context
     * @return
     */
    public static boolean isConnected(Context context) {
        ConnectivityManager connectivity = (ConnectivityManager) context
                .getSystemService(Context.CONNECTIVITY_SERVICE);

        if (null != connectivity) {
            NetworkInfo info = connectivity.getActiveNetworkInfo();
            if (null != info && info.isConnected()) {
                if (info.getState() == NetworkInfo.State.CONNECTED) {
                    return true;
                }
            }
        }
        return false;
    }

  /*  public static void reConnect(Context mContext) {
        reConnect(mContext, true);
    }

    public static void reConnect(Context mContext, boolean isShow) {
        reConnect(mContext, isShow, null);
    }

    public static void reConnect(Context mContext, boolean isShow, OnSafeClientStatusListener listener) {
        UaacApi.getToken(mContext, new TokenCallback() {//传入Context参数，注册结果回调
            // 获取票据成功
            @Override
            public void onSuccess(String token, boolean isSafeClientConnected) {
                if(null != listener) listener.onResult(isSafeClientConnected);
                if(isSafeClientConnected) {
                    if(isShow) {
                        ToastUtils.show("安全客户端已连接");
                    }
                } else {
                    if(isShow) {
                        ToastUtils.show("安全客户端正在启动");
                    }
                }
            }

            @Override
            public void onError(String errorMsg) {
                System.out.println(errorMsg);
                ToastUtils.show("安全客户端连接失败，请重新打开应用");
//                System.exit(0);
                // 获取票据失败，errorMsg为错误信息，有以下几种情况
                //票据不存在 : 统一认证尚未认证，此时会启动开始认证界面
                //票据信息为空 : 票据信息内容为空或者格式有误
                // 权限被拒绝：应用包名未注册，无权获取票据
            }
        });

    }*/
}
